Subject: Re: bug#64978: 29.1.50; C-g doesn't produce sound on PGTK
From: Stefan Kangas <[email-masked]>
To: Po Lu <[email-masked]>
Cc: Daan Ro <[email-masked]>, [email-masked]
Date: Mon, 11 Sep 2023 08:34:37 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Po Lu <[email-masked]> writes:

> The X build ``beeps'' with Xkb or the X protocol, which in fact results
> in a beep event being sent to a listening audio server module that plays
> a user configurable sound each time it registers such an event.
>
> On Wayland, GDK is responsible for playing the beep sound through the
> Wayland protocol.  I don't really know how that part works, but it's
> unlikely that any failures there can be fixed by us Emacs developers.

Daan Ro <[email-masked]> writes:

> Thank you, I am on KDE Plasma 5.27 (Wayland).
>
> Indeed after switching to GNOME and configuring event sound, I can get the
> desired beep.
>
> But by still leaving the config as-is and switching to Plasma or Hyprland, the
> sound is gone again.

So this doesn't sound like a bug in Emacs, and I'm closing this bug.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.